// Scan.prg - Several ASCAN routines
#include "directry.ch"

FUNCTION AScanExact( aArray, xValue )
   LOCAL i
   FOR i := 1 TO LEN( aArray )
      IF ( aArray[ i ] == xValue )
         EXIT
      ENDIF
   NEXT
   RETURN IIF( i <= LEN( aArray ), i, 0 )

FUNCTION AScanSoundex( aArray, xValue )
   LOCAL i
   FOR i := 1 TO LEN( aArray )
      IF ( SOUNDEX( aArray[ i ] ) == SOUNDEX( xValue ) )
         EXIT
      ENDIF
   NEXT
   RETURN IIF( i <= LEN( aArray ), i, 0 )

FUNCTION AScanUpper( aArray, xValue )
   LOCAL i
   FOR i := 1 TO LEN( aArray )
      IF ( UPPER( aArray[ i ] ) == UPPER( xValue ) )
         EXIT
      ENDIF
   NEXT
   RETURN IIF( i <= LEN( aArray ), i, 0 )

FUNCTION AScanFileName( aArray, cFileName )
   LOCAL i
      FOR i := 1 TO LEN( aArray )
      IF ( aArray[ i ][ F_NAME ] == UPPER( cFileName ) )
         EXIT
      ENDIF
   NEXT
   RETURN ( IIF( i <= Len( aArray ), i, 0 ) )

FUNCTION AScan( aArray, bExpr )
   LOCAL i
   FOR i := 1 TO LEN( aArray )
      IF EVAL( bExpr, aArray[ i ] )
         EXIT
      ENDIF
   NEXT
   RETURN ( IIF( i <= Len( aArray ), i, 0 ) )

// EOF: Scan.prg
